List enterprise control change history
curl --request GET \
--url https://api.factory.ai/api/v0/organization/enterprise-controls/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.factory.ai/api/v0/organization/enterprise-controls/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.factory.ai/api/v0/organization/enterprise-controls/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"revision": 123,
"settings": {
"sessionDefaultSettings": {
"model": "<string>",
"specModeModel": "<string>"
},
"mcpAutonomyOverrides": {},
"cloudSessionSync": true,
"wikiCloudSync": true,
"includeCoAuthoredByDroid": true,
"enableDroidShield": true,
"ideAutoConnect": true,
"commandAllowlist": [
"<string>"
],
"commandDenylist": [
"<string>"
],
"customModels": [
{
"model": "<string>",
"id": "<string>",
"index": 123,
"baseUrl": "<string>",
"apiKey": "<string>",
"displayName": "<string>",
"maxContextLimit": 123,
"enableThinking": true,
"thinkingMaxTokens": 123,
"maxOutputTokens": 123,
"extraHeaders": {},
"extraArgs": {},
"noImageSupport": true,
"bedrock": {
"awsProfile": "<string>",
"awsRegion": "<string>",
"bedrockBaseUrl": "<string>",
"awsAuthRefresh": "<string>",
"awsCredentialExport": "<string>"
}
}
],
"modelPolicy": {
"allowedModelIds": [
"<string>"
],
"blockedModelIds": [
"<string>"
],
"allowCustomModels": true,
"allowedBaseUrls": [
"<string>"
],
"allowAllFactoryModels": true,
"isFastModelsAllowed": true
},
"mcpPolicy": {
"enabled": false,
"allowlist": [
"<string>"
]
},
"missionPolicy": {
"restrictedAccess": false,
"allowedUserIds": [
"<string>"
]
},
"userModelPolicies": {},
"enabledPlugins": {},
"extraKnownMarketplaces": {},
"strictKnownMarketplaces": [
{
"source": "github",
"repo": "<string>"
}
],
"networkPolicy": {
"allowedIps": [
"<string>"
]
},
"sandbox": {
"enabled": true,
"filesystem": {
"allowWrite": [
"<string>"
],
"allowRead": [
"<string>"
],
"denyWrite": [
"<string>"
],
"denyRead": [
"<string>"
]
},
"network": {
"allowedDomains": [
"<string>"
],
"allowUnixSockets": [
"<string>"
],
"allowAllUnixSockets": true,
"allowLocalBinding": true,
"httpProxyPort": 123,
"socksProxyPort": 123
}
},
"restrictMemberVisibility": true,
"restrictApiKeyCreationToManagers": true,
"managedComputersEnabled": true,
"managedComputersAllowedEmails": [
"<string>"
],
"byomComputersEnabled": true,
"byomComputersAllowedEmails": [
"<string>"
],
"sessionRetentionDays": 189
},
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>"
}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Organization
List enterprise control change history
Returns a paginated list of enterprise control setting changes for the organization, ordered by revision descending. Properties for the settings object may be added, removed, or renamed between API versions. Clients should parse it as a generic JSON object.
GET
/
api
/
v0
/
organization
/
enterprise-controls
/
history
List enterprise control change history
Authorizations
Factory API key or JWT token for authentication
Query Parameters
Maximum number of items to return (1-100)
Cursor for pagination
⌘I
